python-xarray (2026.04.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jun 2026 11:15:10 +0100

python-xarray (2026.04.0-1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * d/control: drop mypy from the depends, we no longer run the mypy
    tests as that only makes sense for upstream.

  [ Alastair McKinstry ]
  * New upstream release
  * no-myst_parser.patch: avoid new extension when building docs
  * Re-add sparse now its not blocking; needed for docs
  * Privacy: drop refs to logos; use local
  * Standards-Version: 4.7.4

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 May 2026 15:29:50 +0100

python-xarray (2026.02.0-1) experimental; urgency=medium

  * New upstream release
  * Patches refreshed; indexing-11044.patch merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Feb 2026 05:54:32 +0000

python-xarray (2026.01.0-2) unstable; urgency=medium

  * Drop sparse as #1123313 is blocking upgrades

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Feb 2026 05:29:32 +0000

python-xarray (2026.01.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Jan 2026 07:53:09 +0000

python-xarray (2025.12.0-5) unstable; urgency=medium

  * Team upload.
  * Build without docs and tests (for now) so that we get a successful build.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 18:11:10 +1100

python-xarray (2025.12.0-4) unstable; urgency=medium

  * Team upload.
  * Ensure sphinx.ext.autosummary is loaded to prevent ftbfs.
  * Refresh other patches to remove fuzz.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 16:33:17 +1100

python-xarray (2025.12.0-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to solve some indexing problems that
    break python-rioxarray (Closes: #1123307) and sarsen (Closes: #1123338)
  * Add missing build-dep on python3-zarr.
  * Fix inconsistent whitespace in d/control with wrap-and-sort.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 14:40:18 +1100

python-xarray (2025.12.0-2) unstable; urgency=medium

  * pr-11210.patch: Upstream bugfix. Thanks Antonio Valentino
      Closes: #1123151, #1123338, #1123160
  * Use sphinxdoc
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 14:24:37 +0000

python-xarray (2025.12.0-1) unstable; urgency=medium

  * New upstream release
  * Typo in Use-packaged-docs.patch breaks build
  * Docs now build : rm-iris.patch
  * Re-include python3-sparse when building docs
  * Build this release with 'nocheck' : multiple failures due to
    missing packages in 3.14 transition
  * Build 'nodoc' this release : build fails attempting downloads
    when building docs

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Dec 2025 11:50:39 +0000

python-xarray (2025.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Nov 2025 09:17:44 +0000

python-xarray (2025.10.1-1) unstable; urgency=medium

  * New upstream release
  * xfails-that-break-pytest.patch: fixed upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2025 12:37:31 +0100

python-xarray (2025.09.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches. Dropped disable-netcdf-roundtrip-tests.patch in
    favor of upstream's fix.
  * d/rules: skip mypy tests, they are only for upstream devs.
    Closes: #1115136, #1115691

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Sep 2025 13:02:51 +0200

python-xarray (2025.08.0-3) unstable; urgency=medium

  * Team upload.
  * Added patch to workaround slow debci runners.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Sep 2025 16:05:37 +0200

python-xarray (2025.08.0-2) unstable; urgency=medium

  * Team upload.
  * pybuild-autopkgtest: skip on 32-bits archs, they are unsupported.
  * d/rules: resume running the tests in parallel using
    DEB_BUILD_OPTION_PARALLEL
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Set upstream metadata fields: Documentation, Repository.
  * Remove unused license definitions for Python-2.0, BSD-3-Clause.
  * Fix day-of-week for changelog entry 2024.07.0-1.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Sep 2025 21:14:38 +0200

python-xarray (2025.08.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1110804
  * B-D on pytest3-asyncio, drop sparse again for now
  * Drop zarr support this release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Aug 2025 09:14:38 +0100

python-xarray (2025.06.1-1) experimental; urgency=medium

  * New upstream release
  * No longer conflict with python3-sparse, instead build-depend
  * Add docs for hypothesis, matplotlib, zarr
  * Don't build docs for this release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jun 2025 10:37:14 +0100

python-xarray (2025.04.0-1) experimental; urgency=medium

  * New upstream release
  * Build-dep on python3-juptyer-sphinx

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 May 2025 11:21:57 +0100

python-xarray (2025.03.1-8) unstable; urgency=medium

  * Team upload
  * Fix architecture determination in autopkgtest

 -- Julian Gilbey <jdg@debian.org>  Mon, 05 May 2025 10:04:03 +0100

python-xarray (2025.03.1-7) unstable; urgency=medium

  * Team upload
  * Fix one more excluded test name for 32-bit archs

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 21:00:12 +0100

python-xarray (2025.03.1-6) unstable; urgency=medium

  * Team upload
  * Fix syntax of pytest nodes

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 18:43:40 +0100

python-xarray (2025.03.1-5) unstable; urgency=medium

  * Team upload
  * Skip failing tests using PYBUILD_TEST_ARGS so they are skipped at both
    build and autopkgtest time (closes: #1104151)

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 13:53:03 +0100

python-xarray (2025.03.1-4) unstable; urgency=medium

  * Team upload
  * Push to unstable

 -- Julian Gilbey <jdg@debian.org>  Mon, 28 Apr 2025 06:43:27 +0100

python-xarray (2025.03.1-3) experimental; urgency=medium

  * Ensure actual d/rules change commited

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Apr 2025 14:55:07 +0100

python-xarray (2025.03.1-2) experimental; urgency=medium

  * Disable cfgrib, cftime on 32-bit and big-endian archs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Apr 2025 14:12:47 +0100

python-xarray (2025.03.1-1) unstable; urgency=medium

  * New upstream release
  * Build-dep on tzdata-legacy for tests.
  * Drop superfluous d/copyright entries

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Apr 2025 15:50:42 +0100

python-xarray (2025.03.0-2) unstable; urgency=medium

  * Fix autopkgtest build issue. Thanks Antionio Valentino

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Mar 2025 09:29:46 +0100

python-xarray (2025.03.0-1) unstable; urgency=medium

  * New upstream release
  * Now need mypy, python3-pytest-mypy for testing
  * Build-dep on pint for more tests
  * Standards-Version: 4.7.2
  * import-pytest.patch - fix errors on missing import
  * 2 more dask tests labeled xfail

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Mar 2025 13:04:52 +0000

python-xarray (2025.01.2-2) unstable; urgency=medium

  * Team upload.
  * Upstream release 2025.01.2. Closes: #1100293

  [ Michael R. Crusoe ]
  * Switch to PEP-517 building and testing with pybuild. Closes: #1053718
  * refresh patches
  * d/rules: only skip known failing tests, not allowing all tests to fail.
  * Run the tests in parallel using pytest-xdist; report skipped tests.

  [ Alastair McKinstry ]
  * Update metadata

 -- Bastian Germann <bage@debian.org>  Mon, 24 Mar 2025 00:31:19 +0100

python-xarray (2025.01.2-1) unstable; urgency=medium

  * New upstream release
  * Disable sphinx-theme, re-enable docs

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Feb 2025 11:36:57 +0000

python-xarray (2025.01.1-1) unstable; urgency=medium

  * New upstream release
  * Enable tests for all pythons; catch but dont fail. Closes: #1092392

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Jan 2025 13:21:13 +0000

python-xarray (2025.01.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on numba-doc, buggy. Closes: #1088982
  * Doc generation still disabled

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jan 2025 10:36:20 +0000

python-xarray (2024.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Dec 2024 08:26:32 +0000

python-xarray (2024.10.0-1) experimental; urgency=medium

  * New upstream release
  * Remove obsolete patches:
    - no-sphinx-design.patch
    - no-sphinxext.patch
    - skip-datatree.patch
  * Disable test for experimental release:
    - disable-netcdf-roundtrip-tests.patch
  * B-D on python3-pydata-sphinx-theme
  * No objects.inv available for scipy
  * Building docs fails - disable for this  release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Nov 2024 11:44:39 +0000

python-xarray (2024.09.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch 1053700-endianness.patch ; resolved upstream
  * B-D on python3-sphinx-remove-toctrees

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Sep 2024 06:35:29 +0100

python-xarray (2024.07.0-2) unstable; urgency=medium

  * Team Upload
  * Remove obsolete python3-ipython-genutils from build-dep
  * Apply Multi-Arch hint

 -- Alexandre Detiste <tchet@debian.org>  Tue, 03 Sep 2024 07:59:39 +0200

python-xarray (2024.07.0-1) unstable; urgency=medium

  * New upstream release
  * Now B-D on python3-sphinxcontrib-mermaid
  * Build-Conflict: on python3-pytest-lazy-fixture until tests updated
    for pytest 8. Closes: #1063981
  * Annotate python3-cfgrib as <!nocheck>. Closes: #1078351

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Aug 2024 09:30:21 +0100

python-xarray (2024.06.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0; no changes required
  * Re-enable docs, deleting __pycache__ from install
  * Close old bug fixed in prev release. Closes: #1053718

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jun 2024 09:22:17 +0100

python-xarray (2024.03.0-1) unstable; urgency=medium

  * New upstream release
  * Re-enable docs
  * Build-dep on new python3-sphinx-copybutton, python3-sphinxext-rediraffe,
    python3-sphinxext-opengraph, python3-sphinx-design,
    python3-sphinx-book-theme
  * Drop no-sphinx-* patches

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Mar 2024 08:17:40 +0100

python-xarray (2024.02.0-2) unstable; urgency=medium

  * Also disable autopkgtests until pytest > 8 supported

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Mar 2024 07:59:04 +0000

python-xarray (2024.02.0-1) unstable; urgency=medium

  * New upstream release
  * Stop tests for this release; needs to be updated for pytest >= 8.0
  * Undo "nocheck"  to reenable testing; only run tests on python3.12
  * conflict with -datatree until tests pass
  * Drop ARM-xfail patch as integrated upstream
  * Drop xfail-pad-constant patch as now passes
  * Drop xfail-on-random.patch, closed upstream
  * Add Build-depends on python3-zarr
  * Build-depend on python3-sphinx-inline-tabs
  * Build-depend on python3-hypothesis for testing, +docs
  * disable-netcdf-compressor-tests.patch:
    Disable testing of functionality not yet present in Debian
  * disable-stripped-unitwarning-test.patch:
    Disable units-testing as broken test on python3.12
  * Update use-packaged-docs.patch
  * Skip 2 tests requiring download
  * Drop Build-deps on numba, python3-sparse to aid transition
  * dask-gradient-tolerance-i386.patch: Fix for tolerance problem
    comparing arrays on i386 (C-I failure)
  * xfail-pint-units-on-python3.12.patch: On python3.12, tests fail as
    extract_units() in test code is buggy with current pint.
    Mark tests XFAIL
  * Make cfgrib build-dep arch-dependent; needed for c-i tests as
    we cfgrib not present on 32-bit archs
  * Build-conflict with pint < 0.21 as it breaks, failing to handle
    'subok' passed in dask wrapping
  * Build-conflict on python3-sparse to signal that it currently causes
    segfaults (#1055847) - re-add later
  * Docs disabled as sphinx needs pandoc < 3 right now

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Mar 2024 10:05:17 +0000

python-xarray (2023.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Dec 2023 13:16:18 +0000

python-xarray (2023.11.0-2) unstable; urgency=medium

  * Team upload.
  * Tests: fix another failure on big-endian systems,
    allow stderr output.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 25 Nov 2023 22:17:40 +0000

python-xarray (2023.11.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version. Closes: #1050854
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Re-enable docs which do not segfault but do nothing else.  Upstream might
    provide docs in future - otherwise the python-xarray-doc package could be
    dropped completely.

  [ Rebecca N. Palmer ]
  * Tests: ignore rounding differences on i386.  Closes: #1004869.
  * Tests: don't fail on big-endian systems.  Closes: #1053700.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Nov 2023 07:37:01 +0100

python-xarray (2023.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2023 09:38:50 +0100

python-xarray (2023.09.0-2) unstable; urgency=medium

  * Build-dep on python3-setuptools-scm, whl; needed for more complete install

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Sep 2023 12:59:54 +0100

python-xarray (2023.09.0-1) unstable; urgency=medium

  * New upstream release
  * Disable building docs as Sphinx segfaults

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Sep 2023 09:15:25 +0100

python-xarray (2023.08.0-1) unstable; urgency=medium

  * New upstream release
  * Disable docs this build.
    Closes: #10398871
  * Build-Dep on numba-doc, python3-pooch, python3-sparse
  * Set env variable for pooch  cache dir Closes: #1039871
  * Undo xfail-on-random.patch, upstream bug closed

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Aug 2023 16:28:23 +0100

python-xarray (2023.06.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Jun 2023 14:47:04 +0100

python-xarray (2023.05.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 07:54:41 +0100

python-xarray (2023.05.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 May 2023 12:19:36 +0100

python-xarray (2023.04.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Apr 2023 11:33:44 +0100

python-xarray (2023.03.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Mar 2023 17:40:27 +0100

python-xarray (2023.02.0-1) experimental; urgency=medium

  [ Alastair McKinstry ]
  * New upstream release

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
  * Build-Depends: Drop versioned constraint on dpkg-dev, python3-dask,
      python3-pandas and python3-pytest.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Mar 2023 09:40:48 +0000

python-xarray (2023.01.0-1) unstable; urgency=medium

  * Mew upstream release
  * Drop B-D python-numpy-doc to fix FTBFS. Closes: #1028811

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Jan 2023 11:21:51 +0000

python-xarray (2022.12.0-1) unstable; urgency=medium

  * New upstream release
  * Drop (test) dep on python3-sparse for ths release, its blocked
    from testing by numba issue

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Dec 2022 07:28:13 +0000

python-xarray (2022.11.0-2) unstable; urgency=medium

  * Ack bogs fixed in this and previous releases:
    Closes: #1022255, #1004869, #1023222

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Nov 2022 14:37:38 +0000

python-xarray (2022.11.0-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright for removed files

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Nov 2022 08:00:51 +0000

python-xarray (2022.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Oct 2022 13:03:57 +0100

python-xarray (2022.09.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unused/merged patches:
    - cftime-fix.patch
    - test_indexes-big-endian.patch
    - no-sphinx-panels.patch
    - sparse.patch
  * Now recommend python3-cftime,python3-sparse,python3-rasterio

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 03 Oct 2022 12:24:02 +0100

python-xarray (2022.06.0-7) unstable; urgency=medium

  * Patch test_indexes-big-endian.patch from Graham Inggs. Closes: #1018758

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Sep 2022 09:31:49 +0100

python-xarray (2022.06.0-6) unstable; urgency=medium

  * Patch for cftime test failure on s390x. Closes: #1004870

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Sep 2022 13:29:36 +0100

python-xarray (2022.06.0-5) unstable; urgency=medium

  * Drop unnecessaey versioned-deps on scipy to allow transition

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2022 15:56:15 +0100

python-xarray (2022.06.0-4) unstable; urgency=medium

  * Ack closed bug. Closes: #955015
  * Ignore (xfail) on test that fails depending on random seed.
    Closes: #1013939

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2022 15:10:22 +0100

python-xarray (2022.06.0-3) unstable; urgency=medium

  * Depend on scipy >= 1.8.1-8 for fixes. Closes: #1004869, #1013939

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Aug 2022 12:10:45 +0100

python-xarray (2022.06.0-2) unstable; urgency=medium

  * Update  no-installer.patch to avoid accidentally claiming we're
   still at 0.16.1; this was breaking cfgrib
  * Temporarily drop zarr support as it segfaults tests
  * Temporarily drop rasterio support as python3-rasterio can't find
    proj.db in tests
  * Drop bottleneck patch; 1.3.2 now in Debian
  * Bug fixed in recent upload: Closes: #1013939

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Aug 2022 17:51:26 +0100

python-xarray (2022.06.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Jul 2022 10:23:20 +0100

python-xarray (2022.06.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jun 2022 10:42:45 +0100

python-xarray (2022.03.0-2) unstable; urgency=medium

  * Add python3-ipython-genutils to build-deps. Closes: #1007880

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Mar 2022 11:13:42 +0000

python-xarray (2022.03.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2022 17:07:05 +0000

python-xarray (0.21.1-1) unstable; urgency=medium

  * New upstream release
  * Depend on python3-packaging

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Feb 2022 10:23:43 +0000

python-xarray (0.21.0-1) unstable; urgency=medium

  * New upstream release
  * Re-enable docs

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Feb 2022 11:07:55 +0000

python-xarray (0.20.2-1) unstable; urgency=medium

  * New upstream release
  * Temporarily disable docs while nbsphinx bug is worked on.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Dec 2021 15:02:03 +0000

python-xarray (0.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Nov 2021 09:38:05 +0000

python-xarray (0.19.0-6) unstable; urgency=medium

  * Depend on python3-jinja2. Closes: #993694

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Sep 2021 12:21:39 +0100

python-xarray (0.19.0-5) unstable; urgency=medium

  * Fix patch: test_pad_constant also fails on i386. Closes: #983758

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Sep 2021 10:33:23 +0100

python-xarray (0.19.0-4) unstable; urgency=medium

  * Mark another test xfail because it tries to download data.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Aug 2021 13:45:54 +0100

python-xarray (0.19.0-3) unstable; urgency=medium

  * Move to debhelper level 13
  * Standards-Version: 4.6.0
  * Fix typo on patch for pytest marking. test_tutorial.py
  * Mark test test_pad_constant XFAIL on Arm64 as large constants
    not transformed into NaN. Closes: #983758
  * Mark test_push_dask() XFAIL with bottleneck < 1.3.0.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Aug 2021 20:49:54 +0100

python-xarray (0.19.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Aug 2021 08:54:13 +0100

python-xarray (0.19.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Aug 2021 12:57:11 +0100

python-xarray (0.18.2-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 23 May 2021 15:03:08 +0100

python-xarray (0.18.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 May 2021 14:05:16 +0100

python-xarray (0.17.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Feb 2021 11:22:15 +0000

python-xarray (0.16.2-2) unstable; urgency=medium

  * Drop numba-doc  dependency to enable migration. Closes: #979064
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Jan 2021 13:06:33 +0000

python-xarray (0.16.2-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on python-scipy-doc, python-dask-doc, numba-doc
  * Update patch to use these packaged docs
  * d/rules: patch sphinx output to remove require.js privacy breach

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Dec 2020 15:00:35 +0000

python-xarray (0.16.1-1) unstable; urgency=medium

  * New upstream release
  * Patches:
    - drop merged crs-wkt.patch
    - no-sphinx-accessors.patch added

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Sep 2020 17:08:46 +0100

python-xarray (0.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jul 2020 11:00:38 +0100

python-xarray (0.15.1-4) unstable; urgency=medium

  * silence-warnings.patch: Don't fail tests on warnings, only errors.
    Closes: #963820
  * Drop merged/obsolete patches:
    - 3430.diff
    - 3431.diff
    - NaT.patch
    - xfail-rasterio.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Jul 2020 13:43:18 +0100

python-xarray (0.15.1-3) unstable; urgency=medium

  * patch: Use sparse.COO or scipy.sparse.coo_matrix for sparse
    matrices, not sparse.SparseArray, which doesn't exist.
    Closes: #960380.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 May 2020 17:04:22 +0100

python-xarray (0.15.1-2) unstable; urgency=medium

  * Drop obsolete sphinx3-build hack which breaks on sphinx 2.4 ;
    Closes: #959595

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 May 2020 12:05:55 +0100

python-xarray (0.15.1-1) unstable; urgency=medium

  * New upstream release
  * Use dh-sequence-* rather than --with *

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Mar 2020 10:56:52 +0000

python-xarray (0.15.0-3) unstable; urgency=medium

  * Drop obsolete patches from d/patches
  * Mark download tests xfail. Closes: #935455
  * Switch to python3-pip.
  * pip3.patch: use pip3 instead of pip. Closes: #943226

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Mar 2020 10:14:52 +0000

python-xarray (0.15.0-2) unstable; urgency=medium

  * Build-Depend on python3-h5netcdf , python3-zarr, python3-pandas,
    ipython3, python3-jupyter-console, python3-jupyter-core,
    python3-jupyter-client
  * Change setup.py to find, include all subpackages. Closes: #950743
  * Standards-Version: 4.5.0
  * Update no-installer patch to set nbsphinx_allow_errors = True

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Feb 2020 12:54:43 +0000

python-xarray (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * Patches cftime_xfail.patch, 0c73a38_Fix_CRS.patch, xfail-dask.patch
    no longer needed.
  * Add patch to disable failures with new ipython. Closes:  #950101
  * Patch no-installer.patch: Don't try to pip install anything
  * Depend on python3-nbsphinx, python3-cfgrib, pandoc,python3-numpydoc,

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Feb 2020 14:22:30 +0000

python-xarray (0.14.1-2) unstable; urgency=medium

  * numpy has transitioned to python-numpy-doc for docs needed for build.
    Use instead odd python-numpydoc

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Dec 2019 11:27:37 +0000

python-xarray (0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Dec 2019 12:08:12 +0000

python-xarray (0.14.0-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Fix test failures with new cftime 1.0.4, taken from upstream.
  * _get_scheduler() exception if dask.multiprocessing missing, taken
    from upstream.

  [ Alastair McKinstry ]
  * xfail-dask.patch: Dask version in Debian is < 2.
    Label some functionality XFAIL, set dask='allowed' rather than
    'parallelize' where possible for the rest
  * xfail-rasterio.patch: Disable tests due to issue in rasterio:
    "WarpedVRT does not permit boundless reads".
    Closes: #944044

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Nov 2019 18:32:58 +0000

python-xarray (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Oct 2019 10:53:11 +0100

python-xarray (0.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Sep 2019 10:31:57 +0100

python-xarray (0.12.3-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper-compat (= 12)
  * Standards-Version: 4.4.0
  * Disable testing for this release: 1 test fails due to upstream API change
    in dask

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jul 2019 15:18:52 +0100

python-xarray (0.12.1-2) unstable; urgency=medium

  * Source-only upload for transition. Closes: #931971

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 14:13:13 +0100

python-xarray (0.12.1-1) unstable; urgency=medium

  * New upstream release
  * Drop python2 support: code and dependencies (contextlib.suppress, etc)
    no longer work on python < 3.5
  * Add sphinx3-build script to allow python3 -based sphinx build. Helper
    script in debian/, path set in d/rules; patch to doc/Makefile

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Apr 2019 12:37:11 +0100

python-xarray (0.11.3-2) unstable; urgency=medium

  * Team upload.
  * Apply fix from upstream for test suite
    Closes: #922515

 -- Andreas Tille <tille@debian.org>  Wed, 20 Feb 2019 09:21:30 +0100

python-xarray (0.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jan 2019 16:25:48 +0000

python-xarray (0.11.2-2) unstable; urgency=medium

  * Build-Depend on flake8
  * Use sphinx objects from matplotlib-doc. not downloaded
  * Disable use of 'iris' in building docs, as this triggers downloads
    at build-time.  Closes: #920194

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Jan 2019 08:48:44 +0000

python-xarray (0.11.2-1) unstable; urgency=medium

  * New upstream release
  * NaT.patch: NaT==x is now always False, so mark test XFAIL.
    Closes: #917762
  * Change description from " ... for Python 2" to " ... for Python"
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Jan 2019 16:02:08 +0000

python-xarray (0.11.0-3) unstable; urgency=medium

  * Fix from Jeremy Bicha for FTBFS with python3.7. Closes: #913952

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Nov 2018 05:16:34 +0000

python-xarray (0.11.0-2) unstable; urgency=medium

  * Add dependencies on scipy, matlplotlib to debian/tests/control.
    Closes: #913847

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Nov 2018 09:19:50 +0000

python-xarray (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Re-enable testing on python3* rather than python3.6 now pandas supports
    python3.7. Closes: #913521
  * Bug with cftime 1.0.2: mark some affected tests XFAIL. Closes: #913524
  * Don't ship executable data (example) files
  * Don't execute tests id 'nocheck' in DEB_BUILD_OPTIONS
  * Drop deprecated Restrictions: needs-recommends from d/tests/control;
    add dependencies instead

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Nov 2018 11:56:23 +0000

python-xarray (0.10.9-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Oct 2018 15:01:31 +0100

python-xarray (0.10.8-2) unstable; urgency=medium

  * Patch from Graham Inggs for expected ARM64 test failure (mark XFAIL).
    Closes:#904785.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Jul 2018 13:38:48 +0100

python-xarray (0.10.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5
  * Only run tests for python3.6; tests fail on py3.7 because pandas extensions
    not yet built for py3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Jul 2018 13:56:44 +0100

python-xarray (0.10.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jun 2018 14:36:03 +0100

python-xarray (0.10.4-1) unstable; urgency=medium

  * New upstream release
  * Use 'xz' compression
  * Require dask >= 0.17.3 to work for
  * Ship python-xarray. Closes: #896954

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 May 2018 11:52:17 +0100

python-xarray (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.4
  * Add Anaconda (BSD-like) copyright license for dask components

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Apr 2018 10:01:29 +0100

python-xarray (0.10.2-1) unstable; urgency=medium

  * New upstream release
  * Add build-dep on python3-cloudpickle, python3-toolz

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Mar 2018 11:12:06 +0000

python-xarray (0.9.6-1) unstable; urgency=medium

  * Source future releases from GitHub
  * Use the recommended gbp configuration
  * New upstream version 0.9.6 (Closes: #882559)
  * Rebase the patch queue
    - Drop Fix-missing-config-errors-when-running-test-suite.patch,
      no longer required
    - Refresh Use-packaged-docs.patch, Use-packaged-MathJax.patch
      and No-privacy-breach.patch
  * Bump the copyright years
  * Update the dependencies
    - Drop distributed, h5netcdf, h5py, pydap and toolz from Build-Depends
    - Add rasterio and sphinx-gallery to Build-Depends
    - Move bottleneck, dask and netcdf4 from Suggests to Recommends
    - Add cartopy and rasterio to Suggests
    - Drop distributed, h5netcdf and h5py from Suggests
  * Fix autopkgtest failures.
    Thanks to Steve Langasek (Closes: #873366)
  * Drop superfluous nocheck guards
  * Ignore the autogenerated version file
  * Fix whitespacing in rules file
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Point the VCS metadata to salsa.d.o
  * Disable Sphinx gallery generation
    - New patch No-sphinx-gallery.patch
  * Cherry-pick upstream fix for a failing test
    - New patch Fix-test-suite-failure.patch
    Thanks to Rebecca N. Plamer (Closes: #871208)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 03 Feb 2018 13:49:07 +0000

python-xarray (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
  * Drop repacking of upstream tarballs, no longer required
  * Cherry-pick upstream fix for test config errors
    - New patch Fix-missing-config-errors-when-running-test-suite.patch
  * Add optional dependencies to the build
    - Added bottleneck, dask, distributed, h5netcdf, h5py, matplotlib,
      netcdf4, pydap, scipy, seaborn, toolz to the list of b-deps and
      suggested i-deps
    - Test without distributed and pydap since they are known to fail
      upstream
  * Run DEP-8 tests with all optional dependencies
  * Increase verbosity of DEP-8 tests
  * Discard egg-info dir using extend-diff-ignore
  * Add the documentation package
    - Add cartopy, ipython, numpydoc, sphinx, sphinx-rtd-theme to the list
      of b-deps
    - Mark the dask, matplotlib, netcdf4, numpy, pandas, scipy, seaborn
      b-deps as !nodoc
    - Do not build the documentation if the nodoc b-prof is requested
  * Use the packaged documentation
    - Add numpy-doc, pandas-doc, python3-doc to the list of b-deps
    - Patch the intersphinx configuration to use the packaged docs (new
      patch Use-packaged-docs.patch)
  * Use the packaged MathJax
    - Add MathJax to the i-deps of the documentation package
    - Patch the docs configuration to use the packaged MathJax
  * Remove privacy breaching content from the docs
    - New patch No-privacy-breach.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 15 Apr 2017 21:28:16 +0100

python-xarray (0.9.1+ds1-1) unstable; urgency=low

  * Initial release. (Closes: #851444)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 23 Feb 2017 14:14:08 +0000
